diff --git i/src/Makefile.am w/src/Makefile.am
index 8b1e4c8a4e..3cfee8589b 100644
--- i/src/Makefile.am
+++ w/src/Makefile.am
@@ -756,23 +756,6 @@ endif WITH_SETUID_RPC_CLIENT
 
 EXTRA_DIST += $(SYSCONF_FILES)
 
-install-sysconfig:
-	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/sysconfig
-	for f in $(SYSCONF_FILES:%.sysconf=%) ; \
-	do \
-	  tgt=`basename $$f`; \
-	  $(INSTALL_SCRIPT) $(srcdir)/$$f.sysconf \
-	      $(DESTDIR)$(sysconfdir)/sysconfig/$$tgt; \
-	done
-
-uninstall-sysconfig:
-	for f in $(SYSCONF_FILES:%.sysconf=%) ; \
-	do \
-	  tgt=`basename $$f`; \
-	  rm -f $(DESTDIR)$(sysconfdir)/sysconfig/$$tgt; \
-	done
-	rmdir $(DESTDIR)$(sysconfdir)/sysconfig || :
-
 SYSVINIT_FILES_IN += \
 	locking/virtlockd.init.in \
 	$(NULL)
@@ -813,14 +796,14 @@ uninstall-logrotate:
 endif ! WITH_LIBVIRTD
 
 if LIBVIRT_INIT_SCRIPT_RED_HAT
-install-init:: $(SYSVINIT_FILES) install-sysconfig
+install-init:: $(SYSVINIT_FILES)
 	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/rc.d/init.d
 	for f in $(SYSVINIT_FILES:%.init=%) ; \
 	do \
 	  $(INSTALL_SCRIPT) $$f.init $(DESTDIR)$(sysconfdir)/rc.d/init.d/$$f; \
 	done
 
-uninstall-init:: uninstall-sysconfig
+uninstall-init::
 	rm -f $(SYSVINIT_FILES:%.init=$(DESTDIR)$(sysconfdir)/rc.d/init.d/%)
 	rmdir $(DESTDIR)$(sysconfdir)/rc.d/init.d || :
 
@@ -858,14 +841,14 @@ SYSTEMD_UNIT_FILES = $(notdir $(SYSTEMD_UNIT_FILES_IN:%.in=%))
 BUILT_SOURCES += $(SYSTEMD_UNIT_FILES)
 DISTCLEANFILES += $(SYSTEMD_UNIT_FILES)
 
-install-systemd: $(SYSTEMD_UNIT_FILES) install-sysconfig
+install-systemd: $(SYSTEMD_UNIT_FILES)
 	$(MKDIR_P) $(DESTDIR)$(SYSTEMD_UNIT_DIR)
 	for f in $(SYSTEMD_UNIT_FILES); \
 	do \
 	  $(INSTALL_DATA) $$f $(DESTDIR)$(SYSTEMD_UNIT_DIR)/ ; \
 	done
 
-uninstall-systemd: uninstall-sysconfig
+uninstall-systemd:
 	rm -f $(SYSTEMD_UNIT_FILES:%=$(DESTDIR)$(SYSTEMD_UNIT_DIR)/%)
 	rmdir $(DESTDIR)$(SYSTEMD_UNIT_DIR) || :
 else ! LIBVIRT_INIT_SCRIPT_SYSTEMD
@@ -883,7 +866,7 @@ EXTRA_DIST += $(UPSTART_FILES)
 if WITH_LIBVIRTD
 if LIBVIRT_INIT_SCRIPT_UPSTART
 
-install-upstart: install-sysconfig
+install-upstart:
 	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/event.d
 	for f in $(UPSTART_FILES:%.upstart=%); \
 	do \
@@ -892,7 +875,7 @@ install-upstart: install-sysconfig
 	      $(DESTDIR)$(sysconfdir)/event.d/$$tgt ; \
 	done
 
-uninstall-upstart: uninstall-sysconfig
+uninstall-upstart:
 	for f in $(UPSTART_FILES:%.upstart=%); \
 	do \
 	  tgt=`basename $$f` ; \
diff --git i/src/locking/virtlockd.service.in w/src/locking/virtlockd.service.in
index 3c9d587032..2449b201d9 100644
--- i/src/locking/virtlockd.service.in
+++ w/src/locking/virtlockd.service.in
@@ -7,8 +7,7 @@ Documentation=man:virtlockd(8)
 Documentation=https://libvirt.org
 
 [Service]
-EnvironmentFile=-/etc/sysconfig/virtlockd
-ExecStart=@sbindir@/virtlockd $VIRTLOCKD_ARGS
+ExecStart=@sbindir@/virtlockd
 ExecReload=/bin/kill -USR1 $MAINPID
 # Loosing the locks is a really bad thing that will
 # cause the machine to be fenced (rebooted), so make
diff --git i/src/logging/virtlogd.service.in w/src/logging/virtlogd.service.in
index 3d9ae36150..43736191d5 100644
--- i/src/logging/virtlogd.service.in
+++ w/src/logging/virtlogd.service.in
@@ -7,8 +7,7 @@ Documentation=man:virtlogd(8)
 Documentation=https://libvirt.org
 
 [Service]
-EnvironmentFile=-/etc/sysconfig/virtlogd
-ExecStart=@sbindir@/virtlogd $VIRTLOGD_ARGS
+ExecStart=@sbindir@/virtlogd
 ExecReload=/bin/kill -USR1 $MAINPID
 # Loosing the logs is a really bad thing that will
 # cause the machine to be fenced (rebooted), so make
diff --git i/src/remote/libvirtd.service.in w/src/remote/libvirtd.service.in
index 769702ea75..1830c72e3f 100644
--- i/src/remote/libvirtd.service.in
+++ w/src/remote/libvirtd.service.in
@@ -21,8 +21,7 @@ Documentation=https://libvirt.org
 
 [Service]
 Type=notify
-EnvironmentFile=-/etc/sysconfig/libvirtd
-ExecStart=@sbindir@/libvirtd $LIBVIRTD_ARGS
+ExecStart=@sbindir@/libvirtd
 ExecReload=/bin/kill -HUP $MAINPID
 KillMode=process
 Restart=on-failure
diff --git i/tools/Makefile.am w/tools/Makefile.am
index 1452d984a0..cef08741cb 100644
--- i/tools/Makefile.am
+++ w/tools/Makefile.am
@@ -336,15 +336,6 @@ install-data-local: install-init install-systemd install-nss \
 uninstall-local: uninstall-init uninstall-systemd uninstall-nss \
 	uninstall-bash-completion
 
-install-sysconfig:
-	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/sysconfig
-	$(INSTALL_DATA) $(srcdir)/libvirt-guests.sysconf \
-	  $(DESTDIR)$(sysconfdir)/sysconfig/libvirt-guests
-
-uninstall-sysconfig:
-	rm -f $(DESTDIR)$(sysconfdir)/sysconfig/libvirt-guests
-	rmdir $(DESTDIR)$(sysconfdir)/sysconfig ||:
-
 EXTRA_DIST += libvirt-guests.sh.in libvirt-guests.init.in
 
 install-initscript: libvirt-guests.init
@@ -359,8 +350,8 @@ uninstall-initscript:
 
 if LIBVIRT_INIT_SCRIPT_RED_HAT
 BUILT_SOURCES += libvirt-guests.init
-install-init: install-sysconfig install-initscript
-uninstall-init: uninstall-sysconfig uninstall-initscript
+install-init: install-initscript
+uninstall-init: uninstall-initscript
 else ! LIBVIRT_INIT_SCRIPT_RED_HAT
 install-init:
 uninstall-init:
@@ -391,12 +382,12 @@ EXTRA_DIST += libvirt-guests.service.in
 SYSTEMD_UNIT_DIR = $(prefix)/lib/systemd/system
 
 if LIBVIRT_INIT_SCRIPT_SYSTEMD
-install-systemd: libvirt-guests.service install-sysconfig libvirt-guests.sh
+install-systemd: libvirt-guests.service libvirt-guests.sh
 	$(MKDIR_P) $(DESTDIR)$(SYSTEMD_UNIT_DIR)
 	$(INSTALL_DATA) libvirt-guests.service \
 	  $(DESTDIR)$(SYSTEMD_UNIT_DIR)/libvirt-guests.service
 
-uninstall-systemd: uninstall-sysconfig
+uninstall-systemd:
 	rm -f $(DESTDIR)$(SYSTEMD_UNIT_DIR)/libvirt-guests.service
 	rmdir $(DESTDIR)$(SYSTEMD_UNIT_DIR) ||:
 
diff --git i/tools/libvirt-guests.service.in w/tools/libvirt-guests.service.in
index 491ca62138..f0f417bffb 100644
--- i/tools/libvirt-guests.service.in
+++ w/tools/libvirt-guests.service.in
@@ -10,7 +10,7 @@ Documentation=man:libvirtd(8)
 Documentation=https://libvirt.org
 
 [Service]
-EnvironmentFile=-/etc/sysconfig/libvirt-guests
+EnvironmentFile=-/etc/libvirt/libvirt-guests.conf
 # Hack just call traditional service until we factor
 # out the code
 ExecStart=@libexecdir@/libvirt-guests.sh start
diff --git i/tools/libvirt-guests.sysconf w/tools/libvirt-guests.sysconf
index 08204ca039..2da172b022 100644
--- i/tools/libvirt-guests.sysconf
+++ w/tools/libvirt-guests.sysconf
@@ -1,3 +1,10 @@
+#
+# Warning: This configuration file is only sourced by the systemd
+# libvirt-guests.service unit. The coresponding openrc facility is in
+# /etc/init.d/libvirtd and /etc/conf.d/libvirtd
+#
+
+
 # URIs to check for running guests
 # example: URIS='default xen:/// vbox+tcp://host/system lxc:///'
 #URIS=default
